#include <MidiProducer.h>
#include <USBKit.h>

class UC16In {
public:
	UC16In(const USBEndpoint *point, const char* name);
	~UC16In();
		
	status_t Thread(void);
	static status_t ThreadEntry(void *data){
		return ((UC16In *) data)->Thread();
	}
	const USBDevice *GetDevice(void){
		return uc16;
	}
	
private:
	BMidiLocalProducer *m_producer;
	const USBDevice *uc16;
	const USBEndpoint *ept;
	thread_id t;
	bool running;
	uchar data[64];
};